#include <stdio.h>
#include <stdlib.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   XYZ pos;					/* Position */
   XYZ normal;					/* Normal */
   XYZ start;					/* Starting vector */
   float deg = 180.0;				/* Angular extent */
   int nseg = 48;				/* Number of segments */

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   pos.x    = 0.0; pos.y    = 0.0; pos.z    = 0.0;	/* Set position */
   normal.x = 0.0; normal.y = 1.0; normal.z = 1.0; 	/* Normal vector */
   start.x  = 1.0; start.y  = 0.0; start.z  = 0.0; 	/* Normal vector */

   s2slw(3);					/* Set line width */
   s2sci(S2_PG_YELLOW);				/* Set the colour */
   ns2varc(pos, normal, start, deg, nseg); 	/* Draw the arc */
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

